Durability is one of the 5 core values of Studo. For operating system requirements, this means that we strive to support as many operating system versions as possible. We want to help you use your mobile devices for a longer period of time.

Minimum iOS version

The minimum iOS version that Studo supports is iOS 11. Note that all Apple devices released in 2013 or later can be updated to iOS 11.

As a general advice, we recommend everyone to always stay up to date with the latest iOS version to get all the security updates from Apple.

Minimum Android version

The minimum Android version that Studo supports is Android 5.0, which was released in 2014.

However, some security features (like HTTPS via the Let's Encrypt signature without cross-signing) require Android 7.1.1, see here. Several universities and online services use Let's Encrypt without cross-signing for their web services or for their mails. Depending on the university, certain features of the app may not work as expected below Android 7.1.1. Note that Android 7.1.1 was released in 2016. To safely navigate the web, we recommend everyone update their phone to at least this Android version.

As a general advice, we recommend everyone to always stay up to date with the latest Android version to get all the Android security updates.

Did this answer your question?